Get all service request history
https://api.propexo.com/v1/service-request-history/Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Query parameters
Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
created_at:descFilter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Possible values: >= 0
Can be used for paginating results
0Possible values: >= 0 and <= 250
A number between 1 and 250 to determine the number of results to return in a single query
100The Propexo unique identifier for the service request
The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.
The Propexo unique identifier for the property
The Propexo unique identifier for the integration
Show 13 enum values
APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_RESTThe property management system of record
Response
Successful response
- Array [
- ]
- Array [
- ]
meta objectrequired
The offset of the first result
Possible values: >= 0
0The number of results to return
Possible values: >= 0 and <= 250
100orderBy object[]required
The order of the results
Whether there are more results
The total number of results
Possible values: >= 0
1000results object[]required
The Propexo unique identifier for the service request history
clwktsp9v000008l31iv218hnThe date record first entered Propexo
2024-03-21T15:38:08.337ZThe date record was last updated in Propexo
2024-03-22T10:59:45.119ZThe date the record was last seen from the PMS
2024-03-22T10:59:45.119ZThe date the record first entered the integration vendor
| Method | Interface |
|---|---|
| GetServiceRequest | Facilities |
2024-06-15T09:15:00.000ZThe external ID from the integration vendor
| Method | Interface |
|---|---|
| GetServiceRequest | Facilities |
cm0rpx0005exampleid000001The external ID of the property from the integration vendor
| Method | Interface |
|---|---|
| GetServiceRequest | Facilities |
4829103The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.
This field will always be null for REALPAGE_RPX
nullNotes associated with the service request history
| Method | Interface |
|---|---|
| GetServiceRequest | Facilities |
Scheduled a visit for tomorrow morningThe raw status associated with the service request history
| Method | Interface |
|---|---|
| GetServiceRequest | Facilities |
In progressThe name or username of the person who created the service request history record
| Method | Interface |
|---|---|
| GetServiceRequest | Facilities |
Alex RiveraThe Propexo unique identifier for the service request
| Method | Interface |
|---|---|
| GetServiceRequest | Facilities |
cm0rpx0009exampleid000001The Propexo unique identifier for the integration
clwh5u07w000508me66sfh3umThe property management system of record
Show 13 enum values
REALPAGE_RPXAPPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGERENTMANAGERRENTVINERESMANYARDIYARDI_RESTREALPAGE_RPXThe Propexo unique identifier for the property
clwi5xiix000008l6ctdgafyhErrors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl https://api.propexo.com/v1/service-request-history/ \
-H "Authorization: Bearer <token>"
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": [
{
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_created_at": "2024-06-15T09:15:00.000Z",
"x_id": "cm0rpx0005exampleid000001",
"x_property_id": "4829103",
"x_location_id": null,
"notes": "Scheduled a visit for tomorrow morning",
"status_raw": "In progress",
"creator_name": "Alex Rivera",
"service_request_id": "cm0rpx0009exampleid000001",
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "REALPAGE_RPX",
"property_id": "clwi5xiix000008l6ctdgafyh"
}
]
}